package com.example.springWebFluxByDoms.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Date;


@AllArgsConstructor
@NoArgsConstructor
@Data
@Document(collection = "users")
public class Users {

    @Id
    private int id;
    private String firstName;
    private String lastName;
    private String dateOfBirth;
    private String permanentAccountNumber;
    private String adharNumber;
    private String mobileNumber;
}
